<?php
/* Autor...:  */
/* Esquema.: MST_StockReposicionDetalleLog.xml */
/* Generado: 2020-08-18 04:21:28 */

/* Metodos de acceso a los campos de la tabla MST_StockReposicionDetalleLog */
abstract class BaseMST_StockReposicionDetalleLogBN
{
    /* Campos de la tabla */
    private $i_IdSRDLog;    // IdSRDLog: ( no definido )
    private $i_IdCompania;    // IdCompania: ( no definido )
    private $i_IdSucursal;    // IdSucursal: ( no definido )
    private $s_IdAlmacen;    // IdAlmacen: ( no definido )
    private $i_IdPersona;    // IdPersona: ( no definido )
    private $s_IdItem;    // IdItem: ( no definido )
    private $s_Estado;    // Estado: ( no definido )
    private $f_StockMinimo;    // StockMinimo: ( no definido )
    private $f_StockMaximo;    // StockMaximo: ( no definido )
    private $f_StockActual;    // StockActual: ( no definido )
    private $d_FechaCreacion;    // FechaCreacion: ( no definido )
    private $s_UsuarioCreacion;    // UsuarioCreacion: ( no definido )
    private $d_FechaModificacion;    // FechaModificacion: ( no definido )
    private $s_UsuarioModificcion;    // UsuarioModificcion: ( no definido )
    private $d_FechaLog;    // FechaLog: ( no definido )
    private $s_UsuarioLog;    // UsuarioLog: ( no definido )

    /* Establece el valor del campo IdSRDLog */
    public function setIdSRDLog( $i_IdSRDLog )
    {
        $this->i_IdSRDLog = $i_IdSRDLog;
    }

    /* Obtiene el valor del campo IdSRDLog */
    public function getIdSRDLog()
    {
        return $this->i_IdSRDLog;
    }

    /* Establece el valor del campo IdCompania */
    public function setIdCompania( $i_IdCompania )
    {
        $this->i_IdCompania = $i_IdCompania;
    }

    /* Obtiene el valor del campo IdCompania */
    public function getIdCompania()
    {
        return $this->i_IdCompania;
    }

    /* Establece el valor del campo IdSucursal */
    public function setIdSucursal( $i_IdSucursal )
    {
        $this->i_IdSucursal = $i_IdSucursal;
    }

    /* Obtiene el valor del campo IdSucursal */
    public function getIdSucursal()
    {
        return $this->i_IdSucursal;
    }

    /* Establece el valor del campo IdAlmacen */
    public function setIdAlmacen( $s_IdAlmacen )
    {
        $this->s_IdAlmacen = $s_IdAlmacen;
    }

    /* Obtiene el valor del campo IdAlmacen */
    public function getIdAlmacen()
    {
        return $this->s_IdAlmacen;
    }

    /* Establece el valor del campo IdPersona */
    public function setIdPersona( $i_IdPersona )
    {
        $this->i_IdPersona = $i_IdPersona;
    }

    /* Obtiene el valor del campo IdPersona */
    public function getIdPersona()
    {
        return $this->i_IdPersona;
    }

    /* Establece el valor del campo IdItem */
    public function setIdItem( $s_IdItem )
    {
        $this->s_IdItem = $s_IdItem;
    }

    /* Obtiene el valor del campo IdItem */
    public function getIdItem()
    {
        return $this->s_IdItem;
    }

    /* Establece el valor del campo Estado */
    public function setEstado( $s_Estado )
    {
        $this->s_Estado = $s_Estado;
    }

    /* Obtiene el valor del campo Estado */
    public function getEstado()
    {
        return $this->s_Estado;
    }

    /* Establece el valor del campo StockMinimo */
    public function setStockMinimo( $f_StockMinimo )
    {
        $this->f_StockMinimo = $f_StockMinimo;
    }

    /* Obtiene el valor del campo StockMinimo */
    public function getStockMinimo()
    {
        return $this->f_StockMinimo;
    }

    /* Establece el valor del campo StockMaximo */
    public function setStockMaximo( $f_StockMaximo )
    {
        $this->f_StockMaximo = $f_StockMaximo;
    }

    /* Obtiene el valor del campo StockMaximo */
    public function getStockMaximo()
    {
        return $this->f_StockMaximo;
    }

    /* Establece el valor del campo StockActual */
    public function setStockActual( $f_StockActual )
    {
        $this->f_StockActual = $f_StockActual;
    }

    /* Obtiene el valor del campo StockActual */
    public function getStockActual()
    {
        return $this->f_StockActual;
    }

    /* Establece el valor del campo FechaCreacion */
    public function setFechaCreacion( $d_FechaCreacion )
    {
        $this->d_FechaCreacion = $d_FechaCreacion;
    }

    /* Obtiene el valor del campo FechaCreacion */
    public function getFechaCreacion()
    {
        return $this->d_FechaCreacion;
    }

    /* Establece el valor del campo UsuarioCreacion */
    public function setUsuarioCreacion( $s_UsuarioCreacion )
    {
        $this->s_UsuarioCreacion = $s_UsuarioCreacion;
    }

    /* Obtiene el valor del campo UsuarioCreacion */
    public function getUsuarioCreacion()
    {
        return $this->s_UsuarioCreacion;
    }

    /* Establece el valor del campo FechaModificacion */
    public function setFechaModificacion( $d_FechaModificacion )
    {
        $this->d_FechaModificacion = $d_FechaModificacion;
    }

    /* Obtiene el valor del campo FechaModificacion */
    public function getFechaModificacion()
    {
        return $this->d_FechaModificacion;
    }

    /* Establece el valor del campo UsuarioModificcion */
    public function setUsuarioModificcion( $s_UsuarioModificcion )
    {
        $this->s_UsuarioModificcion = $s_UsuarioModificcion;
    }

    /* Obtiene el valor del campo UsuarioModificcion */
    public function getUsuarioModificcion()
    {
        return $this->s_UsuarioModificcion;
    }

    /* Establece el valor del campo FechaLog */
    public function setFechaLog( $d_FechaLog )
    {
        $this->d_FechaLog = $d_FechaLog;
    }

    /* Obtiene el valor del campo FechaLog */
    public function getFechaLog()
    {
        return $this->d_FechaLog;
    }

    /* Establece el valor del campo UsuarioLog */
    public function setUsuarioLog( $s_UsuarioLog )
    {
        $this->s_UsuarioLog = $s_UsuarioLog;
    }

    /* Obtiene el valor del campo UsuarioLog */
    public function getUsuarioLog()
    {
        return $this->s_UsuarioLog;
    }

    public function getJsonSerialize()
    {
        return 
        [
            'IdSRDLog' => $this->getIdSRDLog(),
            'IdCompania' => $this->getIdCompania(),
            'IdSucursal' => $this->getIdSucursal(),
            'IdAlmacen' => $this->getIdAlmacen(),
            'IdPersona' => $this->getIdPersona(),
            'IdItem' => $this->getIdItem(),
            'Estado' => $this->getEstado(),
            'StockMinimo' => $this->getStockMinimo(),
            'StockMaximo' => $this->getStockMaximo(),
            'StockActual' => $this->getStockActual(),
            'FechaCreacion' => $this->getFechaCreacion(),
            'UsuarioCreacion' => $this->getUsuarioCreacion(),
            'FechaModificacion' => $this->getFechaModificacion(),
            'UsuarioModificcion' => $this->getUsuarioModificcion(),
            'FechaLog' => $this->getFechaLog(),
            'UsuarioLog' => $this->getUsuarioLog(),
        ];
    }

    public function toArray()
    {
        return $this->processArray( get_object_vars( $this ) ); 
    }

    private function processArray( $array )
    {
        foreach( $array as $key => $value ) 
        {
            if ( is_object( $value ) )
            {
                $array[$key] = $value->toArray();
            }
            if ( is_array( $value ) ) 
            {
                $array[$key] = $this->processArray( $value );
            }
        }
        return $array;
    }

    public function __toString()
    {
        return json_encode( $this->toArray() ); 
    }

    /* Recupera un objeto MST_StockReposicionDetalleLogBN desde un RecordSet */
    public static function retrieveByRs( $o_MST_StockReposicionDetalleLogRs )
    {
        $o_MST_StockReposicionDetalleLogBN = new MST_StockReposicionDetalleLogBN();
        $o_MST_StockReposicionDetalleLogBN->setIdSRDLog( ( integer ) $o_MST_StockReposicionDetalleLogRs[ "IdSRDLog" ] );
        $o_MST_StockReposicionDetalleLogBN->setIdCompania( ( integer ) $o_MST_StockReposicionDetalleLogRs[ "IdCompania" ] );
        $o_MST_StockReposicionDetalleLogBN->setIdSucursal( ( integer ) $o_MST_StockReposicionDetalleLogRs[ "IdSucursal" ] );
        $o_MST_StockReposicionDetalleLogBN->setIdAlmacen( $o_MST_StockReposicionDetalleLogRs[ "IdAlmacen" ] );
        $o_MST_StockReposicionDetalleLogBN->setIdPersona( ( integer ) $o_MST_StockReposicionDetalleLogRs[ "IdPersona" ] );
        $o_MST_StockReposicionDetalleLogBN->setIdItem( $o_MST_StockReposicionDetalleLogRs[ "IdItem" ] );
        $o_MST_StockReposicionDetalleLogBN->setEstado( $o_MST_StockReposicionDetalleLogRs[ "Estado" ] );
        $o_MST_StockReposicionDetalleLogBN->setStockMinimo( ( float ) $o_MST_StockReposicionDetalleLogRs[ "StockMinimo" ] );
        $o_MST_StockReposicionDetalleLogBN->setStockMaximo( ( float ) $o_MST_StockReposicionDetalleLogRs[ "StockMaximo" ] );
        $o_MST_StockReposicionDetalleLogBN->setStockActual( ( float ) $o_MST_StockReposicionDetalleLogRs[ "StockActual" ] );
        $o_MST_StockReposicionDetalleLogBN->setFechaCreacion( utilTimestamp::getTimestamp( $o_MST_StockReposicionDetalleLogRs[ "FechaCreacion" ], "Y-m-d H:i:s" ) );
        $o_MST_StockReposicionDetalleLogBN->setUsuarioCreacion( $o_MST_StockReposicionDetalleLogRs[ "UsuarioCreacion" ] );
        $o_MST_StockReposicionDetalleLogBN->setFechaModificacion( utilTimestamp::getTimestamp( $o_MST_StockReposicionDetalleLogRs[ "FechaModificacion" ], "Y-m-d H:i:s" ) );
        $o_MST_StockReposicionDetalleLogBN->setUsuarioModificcion( $o_MST_StockReposicionDetalleLogRs[ "UsuarioModificcion" ] );
        $o_MST_StockReposicionDetalleLogBN->setFechaLog( utilTimestamp::getTimestamp( $o_MST_StockReposicionDetalleLogRs[ "FechaLog" ], "Y-m-d H:i:s" ) );
        $o_MST_StockReposicionDetalleLogBN->setUsuarioLog( $o_MST_StockReposicionDetalleLogRs[ "UsuarioLog" ] );
        return $o_MST_StockReposicionDetalleLogBN;
    }
}
?>